<template>
  <div class="search-results__header">
    <div class="search-results__counter">{{ counter }} movie found</div>
    <div class="search-results__sorting">
      <div class="search-results__sorting-text">sort by</div>
      <button
        class="search-results__sorting-button"
        :class="{
          'search-results__sorting-button-selected': sortByReleaseDate
        }"
        @click="sortResults(true)"
      >
        release date
      </button>
      <button
        class="search-results__sorting-button"
        :class="{
          'search-results__sorting-button-selected': !sortByReleaseDate
        }"
        @click="sortResults(false)"
      >
        rating
      </button>
    </div>
  </div>
</template>

<script>
import { mapGetters, mapMutations, mapState } from "vuex";

export default {
  name: "search-results-header",
  computed: {
    ...mapState(["sortByReleaseDate"]),
    ...mapGetters(["counter"]),
    ...mapMutations(["setSortByReleaseDate"])
  },
  methods: {
    sortResults(isSortByReleaseDate) {
      this.$store.commit("setSortByReleaseDate", isSortByReleaseDate);
      this.$emit("sort-results");
    }
  }
};
</script>

<style scoped>
.search-results__header {
  display: flex;
  justify-content: space-between;
  min-height: 100px;
  color: white;
  background-color: #555555;
}

.search-results__counter {
  padding-left: 20px;
  align-self: center;
}

.search-results__sorting {
  display: flex;
  align-self: center;
  padding-right: 50px;
}

.search-results__sorting-text {
  margin-right: 10px;
  text-transform: uppercase;
  color: white;
}

.search-results__sorting-button {
  background-color: #555555;
  text-transform: uppercase;
  color: white;
}

.search-results__sorting-button-selected {
  background-color: #f65261;
  color: white;
}
</style>
